#!/usr/bin/env groovy

def call() {
    script {
        if (!env.COMMITTER_EMAIL) return
        try {
            mail(
                to: env.COMMITTER_EMAIL,
                subject: "Pipeline: ${env.JOB_NAME} (${env.BUILD_NUMBER}): ${currentBuild.currentResult}",
                body: "Check status at ${env.BUILD_URL}"
            )
        } catch (e) {
            echo e.toString()
        }
    }
}
