#!/usr/bin/env groovy

def call() {
    script {
        if (!env.GIT_COMMITTER_EMAIL) {
            env.COMMITTER_EMAIL = sh(
                script: 'git --no-pager show -s --format="%ae"',
                returnStdout: true
            ).trim()
        } else {
            env.COMMITTER_EMAIL = env.GIT_COMMITTER_EMAIL;
        }
    }

    sh 'printenv'
}
